Bug 876678 - Eclipse does not respect font settings for some UI elements
Eclipse does not respect font settings for some UI elements
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 12:23 EST by markm
Modified: 2015-02-17 09:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:34:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Eclipse does not respect font settings for some UI elements (150.71 KB, image/png)
2012-11-14 12:23 EST, markm
no flags Details

  None (edit)
Description markm 2012-11-14 12:23:02 EST
Created attachment 645025 [details]
Eclipse does not respect font settings for some UI elements

Description of problem:

I've just installed Fedora provided Eclipse - first thing I've noticed, some UI elements (tabs!) are not respecting font settings.

Version-Release number of selected component (if applicable):

$ rpm -qa | grep eclipse
eclipse-platform-4.2.1-1.fc17.x86_64
eclipse-rcp-4.2.1-1.fc17.x86_64
eclipse-emf-core-2.8.1-1.fc17.x86_64
eclipse-swt-4.2.1-1.fc17.x86_64
icu4j-eclipse-4.4.2.2-11.fc17.noarch
eclipse-equinox-osgi-4.2.1-1.fc17.x86_64

How reproducible:

always

Steps to Reproduce:
1. Install eclipse
2. try to change the tab font size to ie. 9pt
  
Actual results:

Font on tabs is extremely large -- around 50% larger than selected

Expected results:

Respected font settings selected by user

Additional info:

See screenshot for details.
I've been using version downloaded from eclipse.org till now and font size on tabs was correct.
Comment 1 Alexander Kurtakov 2012-12-18 15:36:54 EST
How do you change tab font size ? do you restart eclipse after changing the size?
Comment 2 markm 2012-12-27 12:59:47 EST
(In reply to comment #1)
> How do you change tab font size ? do you restart eclipse after changing the
> size?

Yes, I've tried to restart eclipse with no effect.

I've googled that I can switch theme from GTK3 to Classic, this way tabs respect application's fonts settings. Also, this way Eclipse looks much better.
Comment 3 Fedora End Of Life 2013-07-03 15:36:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Alexander Kurtakov 2013-07-25 11:06:20 EDT
Mark, would you please try running SWT_GTK3=1 eclipse ?
This is new feature in latest eclipse running on top of GTK3 which should map better to your Gnome installation settings. Part of the problem was that Eclipse was using Gtk2 so changing gnome settings wasn't applied to gtk 2 apps.
Comment 5 markm 2013-07-27 06:45:46 EDT
(In reply to Alexander Kurtakov from comment #4)
> Mark, would you please try running SWT_GTK3=1 eclipse ?
> This is new feature in latest eclipse running on top of GTK3 which should
> map better to your Gnome installation settings. Part of the problem was that
> Eclipse was using Gtk2 so changing gnome settings wasn't applied to gtk 2
> apps.

Currently running Fedora 19 with MATE Desktop, running `SWT_GTK3=1 eclipse` and switching theme to GTK brings back oversized labels. Switching back to Classic solves the issue. Didn't see any difference in running eclipse with `SWT_GTK3=1` or without.

$ rpm -qa | grep eclipse
eclipse-platform-4.3.0-3.fc19.x86_64
eclipse-egit-3.0.0-2.fc19.noarch
eclipse-swt-4.3.0-3.fc19.x86_64
icu4j-eclipse-50.1.1-1.fc19.noarch
eclipse-pde-4.3.0-3.fc19.x86_64
eclipse-jgit-3.0.0-4.fc19.noarch
eclipse-equinox-osgi-4.3.0-3.fc19.x86_64
eclipse-subclipse-1.8.21-1.fc19.noarch
eclipse-ecf-core-3.6.0-1.fc19.noarch
eclipse-jdt-4.3.0-3.fc19.x86_64
eclipse-emf-core-2.9.0-1.fc19.noarch
Comment 6 Fedora End Of Life 2015-01-09 12:28:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 09:34:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.